# SubTags

class SubTags extends Tags implements ModelObject

Description of SubTags

## Methods

__construct(array $data = array())

No description

from ArrayList
clear()

No description

from ArrayList
get($key)

No description

from ArrayList
set($key, $value)

No description

from ArrayList
add($key, $value)

No description

from ArrayList
remove($key)

No description

from ArrayList
bool
hasKey(mixed $key)

No description

from ArrayList
mixed
hasValue(string $value)

No description

from ArrayList
ArrayList
replace(array $data)

No description

from ArrayList
getIterator()

No description

from ArrayList
offsetGet($offset)

No description

from ArrayList
offsetSet($offset, $value)

No description

from ArrayList
offsetExists($offset)

No description

from ArrayList
offsetUnset($offset)

No description

from ArrayList
array
toArray()

Get the array representation of an object

from ArrayList
count()

No description

from ArrayList
getStart()

No description

from Tags
getEnd()

No description

from Tags
setStart($start)

No description

from Tags
setEnd($end)

No description

from Tags
mixed
getNext()

No description

from Tags
setNext(mixed $next)

No description

from Tags
__toString()

No description

from Tags
$this
sort(string $sortingKey, string $order = Sorting::ORDER_ASC)

No description

from Tags

## Details

###
in ArrayList at line 42
`__construct(array $data = array())`

#### Parameters

array | $data |

###
in ArrayList at line 46
`clear()`

###
in ArrayList at line 51
`get($key)`

#### Parameters

| $key |

###
in ArrayList at line 55
`set($key, $value)`

#### Parameters

| $key |
| $value |

###
in ArrayList at line 60
`add($key, $value)`

#### Parameters

| $key |
| $value |

###
in ArrayList at line 74
`remove($key)`

#### Parameters

| $key |

###
in ArrayList at line 85
`bool hasKey(mixed $key)`

#### Parameters

mixed | $key |

#### Return Value

bool |

###
in ArrayList at line 95
`mixed hasValue(string $value)`

#### Parameters

string | $value |

#### Return Value

mixed |

###
in ArrayList at line 105
`ArrayList replace(array $data)`

#### Parameters

array | $data |

#### Return Value

ArrayList |

###
in ArrayList at line 111
`getIterator()`

###
in ArrayList at line 116
`offsetGet($offset)`

#### Parameters

| $offset |

###
in ArrayList at line 121
`offsetSet($offset, $value)`

#### Parameters

| $offset |
| $value |

###
in ArrayList at line 126
`offsetExists($offset)`

#### Parameters

| $offset |

###
in ArrayList at line 131
`offsetUnset($offset)`

#### Parameters

| $offset |

###
in ArrayList at line 136
`array toArray()`

Get the array representation of an object

#### Return Value

array |

###
in ArrayList at line 141
`count()`

###
in Tags at line 49
`getStart()`

###
in Tags at line 53
`getEnd()`

###
in Tags at line 57
`setStart($start)`

#### Parameters

| $start |

###
in Tags at line 61
`setEnd($end)`

#### Parameters

| $end |

###
in Tags at line 68
`mixed getNext()`

#### Return Value

mixed |

###
in Tags at line 75
`setNext(mixed $next)`

#### Parameters

mixed | $next |

###
in Tags at line 79
`__toString()`

###
in Tags at line 89
`$this sort(string $sortingKey, string $order = Sorting::ORDER_ASC)`

#### Parameters

string | $sortingKey |
string | $order |

#### Return Value

$this |